#include "LogServer.hpp"
#include <fstream>
#include <assert.h>

using namespace std;

LogServer::ChannelMap LogServer::channelMap;


void
LogServer::log (string channel, string message)
{
    ofstream* out;
    LogServer::ChannelMapIterator cmit = LogServer::channelMap.find(channel);
    if (cmit == LogServer::channelMap.end()) {
        out = new ofstream(("/tmp/" + channel).c_str());
        if (!out) assert("could not open file!!!");
        LogServer::channelMap.insert(make_pair<string,ofstream*>(channel,out));
    } else {
        out = (*cmit).second;
    }
    *out << message << endl;
}
