using System;
using System.Runtime.Remoting;
using System.Runtime.Remoting.Channels;
using System.Runtime.Remoting.Channels.Tcp;

namespace Example {
  public class DotNetLogClient {
    [STAThread]
    public static void Main(string[] args) {
      try {
        string host = "localhost";
        int port = 50050;

        TcpClientChannel channel =
          new TcpClientChannel();
        ChannelServices.RegisterChannel(channel);

        DotNetLogger logger =
          (DotNetLogger) RemotingServices.Connect(
            typeof(DotNetLogger),
            "tcp://" + host + ":" + port + "/logger");

        logger.log("DotNetChannel", "Bill rulez");
      } catch (Exception e) {
        Console.WriteLine("exception: " + e);
      }
    }
  }
}
