public class LogClient {
    private static java.lang.String channel = "ejb-client";
    private static Example.ejbLogger logger;

    static {
        try {
            java.util.Properties p = new java.util.Properties();
            javax.naming.InitialContext ctx =
                new javax.naming.InitialContext(p);

            Example.ejbLoggerHome home = (Example.ejbLoggerHome)
                javax.rmi.PortableRemoteObject.narrow(
                    ctx.lookup("example/LogServerBean"),
                    Example.ejbLoggerHome.class);
            LogClient.logger = home.create();
        } catch (Exception e) {
            throw new RuntimeException(e);
        }
    }

    public void doSomething(String param)
        throws java.rmi.RemoteException
    {
        LogClient.logger.log(LogClient.channel,
            "called with param " + param);
    }

}
