using System;
using System.Runtime.Remoting;
using System.Runtime.Remoting.Channels;
using System.Runtime.Remoting.Channels.Tcp;
using System.Threading;

namespace Example {
  public class DotNetLogServer {

    [STAThread]
    public static void Main(string[] args) {
      int port = 50050;

      TcpServerChannel chan =
        new TcpServerChannel("", port);
      ChannelServices.RegisterChannel(chan);
      DotNetLoggerImpl logger = new DotNetLoggerImpl();
      string objectURI = "logger";
      RemotingServices.Marshal(logger, objectURI);

      Thread.Sleep(Timeout.Infinite);
    }
  }
}
