package Example;

import java.lang.*;
import java.util.*;

import org.omg.CORBA.*;

import org.omg.CosNaming.*;
import org.omg.CosNaming.NamingContextPackage.*;


public class LogServerWrapper {
    private Example.LogServer logserver;

    public LogServerWrapper() {
        try {
            String[] args = null;
            Properties props = new Properties();
            ORB orb = ORB.init(args, props);
            org.omg.CORBA.Object obj =
                orb.resolve_initial_references("NameService");
            NamingContextExt namingserver = NamingContextExtHelper.narrow(obj);
            this.logserver = Example.LogServerHelper.narrow(
                namingserver.resolve_str("LogServer.SimpleLogger") );
        } catch (Exception e) {
            throw new RuntimeException(e);
        }
    }

    public void log(String channel, String message) {
        try {
            this.logserver.log(channel ,message);
        } catch (Exception e) {
            throw new RuntimeException(e);
        }
    }

}
